package com.inkasso.management.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.adapter.service.KafubaoService;
import com.inkasso.management.user.entity.BackendUserDO;
import com.inkasso.management.user.model.dto.BackendUserDTO;
import com.inkasso.management.user.model.request.AddBackendUserRequest;
import com.inkasso.management.user.model.request.EditBackendUserRequest;

/**
* @author 张超
* @date  2023-08-24
*/
  public interface BackendUserService extends IService<BackendUserDO> {

  /**
  * 添加操作
  * @param addBackendUserRequest
  */
  void addBackendUser(AddBackendUserRequest addBackendUserRequest);


  /**
  * 编辑操作
  * @param editBackendUserRequest
  */
  void editBackendUser(EditBackendUserRequest editBackendUserRequest);

  /**
  * 通过id获取详细信息
  * @param id
  */
    BackendUserDTO getBackendUserDtoById(Long id);

  /**
  * 删除
  */
  void deleteBackendUser(Long id);


  BackendUserDTO getBackendUserDtoByUsername(String username);

}

